Nini Library API Reference - http://nini.sourceforge.net/ |

# IniException Properties

The properties of the IniException class are listed below. For a complete list of IniException class members, see the IniException Members topic.

#### Public Instance Properties

Data (inherited from Exception) | Gets a collection of key/value pairs that provide additional, user-defined information about the exception.
HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
LineNumber | Returns the line number where the exception occurred.
LinePosition | Returns the line position where the exception occurred.
Message | Returns the exception message.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

#### Protected Instance Properties

HResult (inherited from Exception) | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

#### See Also

IniException Class | Nini.Ini Namespace